
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用ATL编写Windows服务 / iVAN</title>

    <meta name="description" content="用ATL编写Windows服务 有时候,我们需要自己写的程序在没有用户登陆的情况下,只要Windows系统启动就运行,那我们可以把我们的程序写成一个Windows服务. 服务是能够为各种用户(包括本地用户和远程用户)所用的,拥有用户授权级进行管理的能力,并且不论用户是否物理的与正在运行该应用程序的计算机相连都能正常执行. 下面,我将用一个简单的例子说明如何用ATL来编写Windows服务程序. 首先,我们新建一个Project.如图一所示,选择 &quot;ATL COM AppWizard&quot;,工程名为:Servic ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用ATL编写Windows服务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>有时候，我们需要自己写的程序在没有用户登陆的情况下，只要Windows系统启动就运行，那我们可以把我们的程序写成一个Windows服务。</p>
<p>服务是能够为各种用户（包括本地用户和远程用户）所用的，拥有用户授权级进行管理的能力，并且不论用户是否物理的与正在运行该应用程序的计算机相连都能正常执行。</p>
<p>下面，我将用一个简单的例子说明如何用ATL来编写Windows服务程序。</p>
<p>首先，我们新建一个Project。如图一所示，选择 "ATL COM AppWizard",工程名为：ServiceDemo。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDMwMjAwMzYyMC0wLmpwZw==.jpg"><br />图一</p>
<p>点击 "OK ", 出现图二，选择Service [EXE]。点击 Finish。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDMwMjAwNTJQLTEuanBn.jpg"><br />图二</p>
<p>完成以上的步骤，一个"什么也不做"的服务就完成了！编译… 打开"控制面板"-&gt;"管理工具"</p>
<p>-&gt;"服务"，嗯？我们写的服务怎么没有在服务管理器(service control manager ，简称(SCM))里面列出来呢？呵呵，被我骗了？不要着急，我们还需要做一些工作。</p>
<p>首先先大概介绍一下向导为我们生成的代码：</p>
<p>程序的进入点是全局函数_tWinMain, 仔细看一下这个函数,我们会发现当我们运行程序时,可以加上参数,例如: ServiceDemo /RegServer 或者 ServiceDemo -RegServer，这个是用来本地服务器注册（Register as Local S Register as Service erver）； ServiceDemo / Service 或者 ServiceDemo -Service，这个是服务的注册（Register as Service）；ServiceDemo /UnRegServer 或者 ServiceDemo -UnRegServer ，这个是服务的删除。所以，当我们写好了服务程序，只要运行的时候加上参数 Service ,这个时候在SCM中就会看到我们的服务了。可以试一下在SCM中对这个什么也不做的服务"启动"，"停止"，改变一下它的启动方式。</p>
<p>每次编码后测试都要在命令行中加参数运行服务才可以在SCM中列出来是不是很麻烦呢？我再介绍一个偷懒的方法，选择VC IDE的菜单Project -&gt; Setting, 再选择Custom Build　面板，如图三：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDMwMjAwMTE2MS0yLmpwZw==.jpg">开发</a>"&gt;<br />图三</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 01:08:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c/" title="运行">运行</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>, <a href="https://www.iamivan.net/tag/scm/" title="SCM">SCM</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用ATL编写Windows服务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91vJgM.html" rel="bookmark">用托管C&plus;&plus;编写Windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				多年以来,只要提到编写Windows服务,就会想到用Visual C++编写,同时,这也是其中一件C++程序员可以做,而VB程序员不可以做的事情.以前,我们只称其为&quot;服务&quot;或&quot;NT服务&quot;,现在,它们被命名为&quot;Windows服务&quot;,而且用VB.NET或C#也可以很容易地编写. 但是,如果你想用托管C++来编写呢?毕竟,大多数有经验的Visual C++程序员都会写过一两个服务,也会知道怎样完成一个类似的工程.假设你有一个必须要一直运行以提供服务的程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7gZXM.html" rel="bookmark">C&num;编写Windows服务的基本过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  编写Windows服务是一种比较高级的编程技术,内部使用了很多Windows操作系统的核心功能,但微软.NET框架已经很好的封装了这些技术细节,使得我们可以很方便的使用C#编写自己的Windows服务,其基本过程一般为 1.创建C#工程.创建一个EXE工程,可以是WinForm或者命令行格式的.添加对System.ServiceProcess.dll和System.Configuration.Install.dll的引用. 2. 创建服务类.新增一个类,该类型继承System.Service			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydlOJb.html" rel="bookmark">link环境下使用cidefirst制作的《网盘软件》，每日备份需要编写windows服务？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 link环境下使用cidefirst制作的&lt;网盘软件&gt;,每日备份需要编写windows服务? link环境下使用cidefirst制作的&lt;网盘软件&gt;,每日备份需要编写windows服务,是什么意思? 解决方案 说的是,如果你要实现一个日常备份,你可以把程序写在一个windows 服务里.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7nJ5p.html" rel="bookmark">使用C语言编写windows服务一般框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:使用C语言编写windows服务一般框架    编写windows服务和编写windows应用程序一样,有一些回调函数必须填写且向windows 服务管理器(service manager)进行注册,否则会导致服务启动失败.因近期写个服务,其中遇到一些有问题,有部分内容想和大家分享一下,请大家指正.         windows服务一般框架代码如下: #include &lt;Windows.h&gt; #include &lt;tchar.h&gt; VOID WINAPI ServiceHan			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLlq5p.html" rel="bookmark">Windows服务编写（Windows Service，system权限）程序显示界面与用户交互（xp，win7通用）&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.VC2008中编写&quot;Windows服务&quot;(Windows Service)程序 源码资源下载:/201604/yuanma/TestService_jb51.rar vc2008下新建一个 ATL 项目-&gt; 选择创建一个&quot;服务&quot;类型的ATL 项目TestService,将生成如下代码, class CTestServiceModule : public CAtlServiceModuleT&lt; CTestServiceModule, IDS_SERVI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlYyjp.html" rel="bookmark">玩转Windows服务系列&amp;amp&semi;mdash&semi;&amp;amp&semi;mdash&semi;Debug、Release版本的注册和卸载，及其原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:玩转Windows服务系列--Debug.Release版本的注册和卸载,及其原理 Windows服务Debug版本 注册 Services.exe -regserver 卸载 Services.exe -unregserver Windows服务Release版本 注册 Services.exe -service 卸载 Services.exe -unregserver 原理 Windows服务的Debug.Release版本的注册和卸载方式均已明确.但是为什么要这么做呢. 最初我在第一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22LKrb.html" rel="bookmark">windows-C&num; Windows服务调用第三方dll</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C# Windows服务调用第三方dll C# Windows 服务中要调用第三方dll中的方法,添加引用第三方dll,用InstallUtil.exe安装服务后,总是无法加载第三方dll,求高手解决,我知道服务的运行目录是C:WindowsSystem32,难道也要将第三方dll拷贝到服务目录下? 解决方案 起码要放到系统缺省目录,不然就找不到dll 解决方案二: 服务的运行目录爱在哪儿都行,工作目录一般是system32,所以理论上把dll放到服务的同一个目录下就行了 解决方案三:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBGG49M.html" rel="bookmark">我用批处理写的windows服务启动不了哪位大神知道怎么解决不</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我用批处理写的windows服务启动不了哪位大神知道怎么解决不,提示本地计算机上的服务启动后停止.某些服务在未由其他服务或程序使用时将自动停止 解决方案 解决方案二:你试试手动启动指定的服务解决方案三:应该是你的服务报错了啊,加一些诊断log看看------------------------------------------------------------------------------------------------解决方案四:记录你的程序执行了哪些步骤的程序之后才跳			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwnxEOp.html" rel="bookmark">一步一步教您用C&num;编写window服务教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我在编写服务过程中参考了 Professional C# 2012 and .NET 4.5 第一步,创建一个解决方案名称MonitoringFish 不废话,你肯定会,会的直接去下一步.如果真的不会请继续看     第二步添加服务用的类库项目Sensor 并添加类文件QuoteException.cs和SensorFish.cs 这两个类的功能并不重要,主要是给服务类用的,你也可以写自己的类文件,或者干脆不要,直接在服务类里边写逻辑代码 QuoteException.cs代码如下: using			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQBx8M.html" rel="bookmark" class="title">三联photoshop教程周刊第四期</a>
					<div>
						三联photoshop教程周刊第四期 一周排行 标题 点击数 [PS调色教程] Photoshop给美女照片调出韩系青黄色教程 图片人物跟环境非常融合,只是局部有点偏暗.可以单独把人物部分调亮,肤色再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b222Qb.html" rel="bookmark" class="title">Photoshop制作五一金色立体花纹字</a>
					<div>
						文字的制作由两个大的部分构成:立体字及花纹装饰.立体字部分制作稍微复杂一点,主体面部分还需做出一些镂空效果.装饰部分可以直接使用素材,增加浮雕效果即可. 最终效果 &lt;点小图查看大图&gt; 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx0E7M.html" rel="bookmark" class="title">加载COM的方式</a>
					<div>
						通常我们都是使用CoCreateInstance或CoGetClassObject获得接口,再通过接口访问他的成员方法.在C++支持下,从来不会有任何问题.但是如果使用Win32模式,纯粹C风格编程, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1w19z.html" rel="bookmark" class="title">Dreamweaver3 图层应用技巧（六）</a>
					<div>
						dreamweaver|技巧 &gt;&gt;可以用鼠标拖动的滚动板 (请看范例) 今天我讲的是一个可以用鼠标到处拖动的滚动板.先看看例子,用鼠标拖拖看拖不拖的动,拖不动要跟我说一声:) 这是本教程的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP4Dmp.html" rel="bookmark" class="title">&period;htaccess文件玩转Rewrite</a>
					<div>
						刚玩网页的时候,写的都是静态页 http://uicss.cn/about.htm 这样的结构.后来想换成 http://uicss.cn/about/但是又因为不熟悉rewrite,做了如下的调整, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1nnrp.html" rel="bookmark" class="title">设计思想&colon;做好一个LOGO很简单也很难</a>
					<div>
						:每个行业的LOGO 都有各自的行业特征和表现手法 这就是共性,理解了共性就很容易理解个性了,个性是在具备共性的基础上 在同行中脱颖而出的特性 也就是这个LOGO 所代表的公司或团体的独特竞争力 绝世 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRRR8z.html" rel="bookmark" class="title">php的流程控制</a>
					<div>
						php的流程控制包括顺序结构.分支结构和循环结构三种.分支结构包括if语句和switch语句.循环结构包括for循环.while循环.do-while循环,在数组部分我们还会接触到foreach循环语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa76ZM.html" rel="bookmark" class="title">银行卡信息交换网灾难备份解决方案</a>
					<div>
						需求分析 某股份制金融服务机构,其核心业务是运营银行卡信息交换网络,为此配套的灾难备份系统,必须针对系统潜在的中断风险(灾难),提供预防机制,确保系统连续运行能力.对于无法抗拒的严重灾难,则必须提供系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRZvqz.html" rel="bookmark" class="title">Oracle xml 转换</a>
					<div>
						  select * from pdpla_approve_proj; create or replace procedure proj_xml(st_id varchar2) is pro_rows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPXqZz.html" rel="bookmark" class="title">什么是百度卫士电脑加速功能？</a>
					<div>
						  在百度卫士的主界面中,有电脑加速.系统清理以及三个安全维护选项,这也是百度卫士的三个基本功能.今天,我们就先来了解一下百度卫士的电脑加速功能,那么,什么是百度卫士的电脑加速功能?一起来看看今天的百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwANqz.html" rel="bookmark" class="title">调出美女图片非常干净的淡蓝色</a>
					<div>
						调出美女图片非常干净的淡蓝色 作者调色非常厉害,调色的过程也非常灵活.并不需要太多的操作,尽量用选区控制需要调色的部分,快速美化及调整图片. 原图     最终效果   1.打开原片用&quot;可选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2lyep.html" rel="bookmark" class="title">您所不知道的Windows7系统的秘密功能</a>
					<div>
						1. 屏幕校准器(Screen Calibration) Win 7电脑屏幕太亮或太暗都让我们的眼睛难以适应,很幸运,Win 7拥有显示校准向导功能可以让你适当的调节屏幕的亮度,让自己惬意地浏览网页. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4EONp.html" rel="bookmark" class="title">Ruby定义私有方法&lpar;private&rpar;的两种办法</a>
					<div>
						  这篇文章主要介绍了Ruby定义私有方法(private)的两种办法,本文直接给出代码实例,需要的朋友可以参考下 ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYR12M.html" rel="bookmark" class="title">百度UEditor编辑器如何关闭抓取远程图片功能</a>
					<div>
						 这个坑娘的功能,开始时居然不知道如何触发,以为有个按钮,点击一下触发,翻阅了文档,没有发现,然后再网络上看到原来是复制粘贴非白名单内的图片到编辑框时触发,坑娘啊............... 问题又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1vrdb.html" rel="bookmark" class="title">PS旋转按钮</a>
					<div>
						  注:也是我第一次写教程,额,应该不算教程,分享个人的制作过程,请大神们提意见. 下面有可供下载文件(里面有原网站的截图+混合模式中英文对照表) 让我们开始吧: 画布大小自定义,我这里800*600 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLoJWb.html" rel="bookmark" class="title">被边缘化的脱网人群：不会上网就像被社会抛弃</a>
					<div>
						&quot;一网在手,万事不愁&quot;.在移动互联网全面渗透人们生活的今天,无论是购物.买车票.打车.看病,网络以及移动终端给我们带来了极大便利.然而,对于为数不少的脱网人群来说,他们或是无法享受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam79Jb.html" rel="bookmark" class="title">服务器-windows 2008 此工作站和主域的信任关系失败</a>
					<div>
						问题描述 windows 2008 此工作站和主域的信任关系失败 用虚拟机安装的域今天莫名蓝屏了,无法开起来,复制了之前备份的,开起来了,但是电脑连的时候提示此工作站和主域的信任关系失败,怎么处理,服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqZExb.html" rel="bookmark" class="title">Java IO--回退流PushbackInputStream</a>
					<div>
						回退流: 使用InputStream要使用read()方法不断读取,是采用顺序的读取方式. 回退流的操作机制: 回退操作同样分为字节流和字符流,下面以字节流举例. PushbackInputStrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N0KRz.html" rel="bookmark" class="title">商业WiFi真正的阻力是电信运营商吗？</a>
					<div>
						有的人在抱怨电信运营商制造过高的门槛,阻挡WiFi的商业化,有的人又在积极拥抱电信运营商,联手做本地化市场.没有宽带就没有WiFi的市场现状,让电信运营商成为WiFi快速发展最大的阻力.你怎么看这样的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NxoJM.html" rel="bookmark" class="title">PHP 安全</a>
					<div>
						PHP 安全 http://netkiller.github.com/article/phpsecurity.html Mr. Neo Chen (netkiller), 陈景峰(BG7NYT) &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd7Y4b.html" rel="bookmark" class="title">这个实例怎么改才能让其正常运行</a>
					<div>
						问题描述 这个实例怎么改才能让其正常运行 package IODemo; /*向文件中写入10个数据,第i个数据=圆周率*i(i=0,1,2,...,9),然后将第二个(i=2)改为 0,最后将10个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKvd3b.html" rel="bookmark" class="title">关于C&num;反射、程序集的应用的一个问题~~毕业设计&sol;论文~~求各位大侠赐教！</a>
					<div>
						问题描述 问题可能有点长...本人是非计算机专业的菜鸟...某些问题可能也表述不清楚啊...我要做的是面向对象有限元的程序框架设计简单来说.我的毕业设计/论文要用C#实现这样一种功能我要做一个框架.. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AoyPz.html" rel="bookmark" class="title">中国银行推出&OpenCurlyDoubleQuote;网银开心用，好礼轻松得&rdquo;</a>
					<div>
						中国银行(601988,股吧)网银经过近十年的发展已经逐步成熟,并将在未来为客户提供更加安全.便捷.贴心的服务. 中国银行个人网上银行及手机银行已经覆盖绝大部分传统柜台业务,包括转账汇款.投资理财.网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1rDOb.html" rel="bookmark" class="title">fragment- Fragment already added</a>
					<div>
						问题描述 Fragment already added 重点代码如下:一下代码已经完整执行,但是还是报了java.lang.IllegalStateException: Fragment alread ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j9ngp.html" rel="bookmark" class="title">js获取时间&lpar;本周、本季度、本月&period;&period;&rpar;&lowbar;javascript技巧</a>
					<div>
						Js代码 复制代码 代码如下: /** * 获取本周.本季度.本月.上月的开端日期.停止日期 */ var now = new Date(); //当前日期 var nowDayOfWeek = no ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL4LDM.html" rel="bookmark" class="title">用c&num;修该环境变量</a>
					<div>
						问题描述 代码如下,从我的电脑-&gt;属性-&gt;环境变量中查看,已经修改了,使用java,javac都不起作用.直接手动修改是可以的.stringjavahome=&quot;C:\Progra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y8n6p.html" rel="bookmark" class="title">监控与隐私的对垒：公共场合到底该不该装监控？</a>
					<div>
						公共场合视频监控存在的合理性一直饱受争议,哪些场合不适宜安装,哪些人有权利安装和监管,则一直处于灰色地带,为了为规范公共安全视频图像信息系统建设.使用和管理,维护公共安全,保障公民.法人和其他组织的合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrveyVM.html" rel="bookmark" class="title">《C语言及程序设计》实践参考&mdash;&mdash;反序数</a>
					<div>
						返回:贺老师课程教学链接  项目要求 [项目3-反序数](1)输入一个正整数,输出它的反序数(反序数,即将其所有位的数字反过来.例如,123是321的反序数) [参考解答] #include &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0oydM.html" rel="bookmark" class="title">中兴通讯营收首破千亿 净利37&period;8亿创历史新高</a>
					<div>
						ZD至顶网网络频道 01月19日 综合消息:中兴通讯发布业绩快报,2015年实现营业收入人民币1008.25亿元,较上年增长23.76%,归属于上市公司普通股股东的净利润为人民币37.78 亿元,较上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJXr9M.html" rel="bookmark" class="title">如何在一个CS文件中使用另一个CS文件中控件的值</a>
					<div>
						问题描述 我做了个windowform的程序,他的窗体中有一个textbox控件,我还有一个静态类文件,我想在这个类文件里引用那个textbox控件的TEXT值,咋做了public变量除外啊! 解决方 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
